/**
 * 地图中公共组件方法
 */
import { fullExtent, clearMap, calculation, changeMap, setCamera,
    layerControl, layerQuery, addGraphic, draw, getDrawGeometry,
    addBoats, setBoatHistory, playBoatHistory,
    getMapScale
} from '@/utils/map/ArcgisUtil'

/**
 * 初始视角
 */
export function setCenter() {
    setCamera({
        x:2267,
        y:483,
        z:4000,
        heading:100,
        tilt:0
    })
}

/**
 * 水下地形视角
 */
export function setSxdxCamera() {
    setCamera({
        x:2103,
        y:100,
        z:-40,
        heading:0,
        tilt:90
    })
}

/**
 * 视频融合视角
 */
export function setVideoCamera() {
    setCamera({
        x:2407,
        y:940,
        z:2000,
        heading:328,
        tilt:0
    })
}

/***
 * 十六铺码头视角
 */
export function set16VideoCamera() {
    setCamera({
        x:2464.812799876806,
        y:-384.0104761460664,
        z:18.453201092045305,
        heading:224.08117250801823,
        tilt:74.93096590951862
    })
}

/***
 * 水上绿色综合服务器视角
 */
export function setSsfwqCamera() {
    setCamera({
        x:-5395.752108566323,
        y:-27124.496280488613,
        z: 2742.4487931897306,
        heading:99.99231280198772,
        tilt:0
    })
}

